## mx4j.tools.adaptor.rmi
Class RMIAdaptorMBeanDescription

    java.lang.Object
      mx4j.MBeanDescriptionAdapter
          mx4j.tools.adaptor.rmi.RMIAdaptorMBeanDescription

All Implemented Interfaces:
  MBeanDescription

Direct Known Subclasses:
  IIOPAdaptorMBeanDescription, JRMPAdaptorMBeanDescription

public class RMIAdaptorMBeanDescription
extends MBeanDescriptionAdapter

Management interface descriptions for the RMIAdaptor MBean.

Version:
  $Revision: 1.3 $

Constructor Summary
`RMIAdaptorMBeanDescription()`

Method Summary
`java.lang.String` `getAttributeDescription(java.lang.String attribute)` Should return the description for the specified attribute.
`java.lang.String` `getOperationDescription(java.lang.reflect.Method operation)` Should return the description for the specified operation.
`java.lang.String` `getOperationParameterDescription(java.lang.reflect.Method method, int index)` Should return the description for the operations's parameter for the given operation and parameter index.
`java.lang.String` `getOperationParameterName(java.lang.reflect.Method method, int index)` Should return the name of the operation's parameter for the given operation and parameter index.

Methods inherited from class mx4j.MBeanDescriptionAdapter
`getConstructorDescription, getConstructorParameterDescription, getConstructorParameterName, getMBeanDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMIAdaptorMBeanDescription

    public RMIAdaptorMBeanDescription()

Method Detail

### getAttributeDescription

    public java.lang.String getAttributeDescription(java.lang.String attribute)

  Description copied from interface: `MBeanDescription`
  Should return the description for the specified attribute. For example: "The port on which the rmiregistry will wait on for client requests"

  Specified by:
    `getAttributeDescription` in interface `MBeanDescription`
  Overrides:
    `getAttributeDescription` in class `MBeanDescriptionAdapter`

### getOperationDescription

    public java.lang.String getOperationDescription(java.lang.reflect.Method operation)

  Description copied from interface: `MBeanDescription`
  Should return the description for the specified operation. For example: "Binds the given object to the given name"

  Specified by:
    `getOperationDescription` in interface `MBeanDescription`
  Overrides:
    `getOperationDescription` in class `MBeanDescriptionAdapter`

### getOperationParameterName

    public java.lang.String getOperationParameterName(java.lang.reflect.Method method,
                                                      int index)

  Description copied from interface: `MBeanDescription`
  Should return the name of the operation's parameter for the given operation and parameter index. For example: "bindName"

  Specified by:
    `getOperationParameterName` in interface `MBeanDescription`
  Overrides:
    `getOperationParameterName` in class `MBeanDescriptionAdapter`

### getOperationParameterDescription

    public java.lang.String getOperationParameterDescription(java.lang.reflect.Method method,
                                                             int index)

  Description copied from interface: `MBeanDescription`
  Should return the description for the operations's parameter for the given operation and parameter index. For example: "The name to which the object will be bound to"

  Specified by:
    `getOperationParameterDescription` in interface `MBeanDescription`
  Overrides:
    `getOperationParameterDescription` in class `MBeanDescriptionAdapter`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.